package com.fr.plugin.http.handler;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.decision.sync.result.SyncResultData;
import com.fr.decision.webservice.v10.user.SyncService;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class GETSynNow1Handler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/synNow";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        SyncResultData synchronize = SyncService.getInstance().synchronize();
        WebUtils.printAsString(res, "success");
    }
}
